# Contexts ## List contexts **get** `/api/v1/contexts` List contexts ### Query Parameters - `cursor: optional string` Opaque cursor from the previous response `nextCursor`. - `includeDeleted: optional boolean` - `limit: optional number` - `spaceId: optional string` Optional space id; when omitted, the user’s default space is used. ### Example ```http curl https://$FLUIDWAVE_HOST/api/v1/contexts ``` ## Create context **post** `/api/v1/contexts` Increments the Replicache space version via repVersionIncrement after writing. ### Query Parameters - `spaceId: optional string` Optional space id; when omitted, the user’s default space is used. ### Example ```http curl https://$FLUIDWAVE_HOST/api/v1/contexts \ -X POST ``` ## Get context **get** `/api/v1/contexts/{contextId}` Get context ### Path Parameters - `contextId: string` ### Query Parameters - `spaceId: optional string` Optional space id; when omitted, the user’s default space is used. ### Example ```http curl https://$FLUIDWAVE_HOST/api/v1/contexts/$CONTEXT_ID ``` ## Update context **patch** `/api/v1/contexts/{contextId}` Increments the Replicache space version via repVersionIncrement after writing. ### Path Parameters - `contextId: string` ### Query Parameters - `spaceId: optional string` Optional space id; when omitted, the user’s default space is used. ### Example ```http curl https://$FLUIDWAVE_HOST/api/v1/contexts/$CONTEXT_ID \ -X PATCH ``` ## Delete context (soft) **delete** `/api/v1/contexts/{contextId}` Increments the Replicache space version via repVersionIncrement after writing. ### Path Parameters - `contextId: string` ### Query Parameters - `spaceId: optional string` Optional space id; when omitted, the user’s default space is used. ### Example ```http curl https://$FLUIDWAVE_HOST/api/v1/contexts/$CONTEXT_ID \ -X DELETE ```